Subject: Re: bug#51767: 29.0.50; :weight=regular still resolving to medium font weight

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Nov 2021 18:58:27 +0200

> Date: Thu, 11 Nov 2021 09:27:06 -0500
> From: Nick <[email-masked]>
> 
> Hello, I saw that there was recently a fix merged that supposedly should 
> allow Emacs to distinguish between "regular" and "medium" font weights. 
> However, even when manually specifying the weights, I'm seeing "regular" 
> still resolve to "medium"
> 
> Here is the invocation I am using:
> (set-face-font 'default "Iosevka SS08:weight=regular")
> 
> I am using the Super TTC version of Iosevka SS08 listed here:
> https://github.com/be5invis/Iosevka/blob/v11.0.1/doc/PACKAGE-LIST.md
> 
> You can see the font rendering stack that I'm using listed below.
> 
> Here is a listing of `font-log` right after evaluating that 
> set-face-font. My current theme is using a mix of Iosevka weights and 
> Inter, which may explain the long listing.

According to font-log, you don't have a "regular" or "normal" variant
of this font, only "medium" one.  So it sounds like Emacs is correctly
using the closest weight you do have?